package com.hzya.frame.plugin.lets.ofsvo;

import lombok.Data;

/**
 * OFS调整入库请求类
 */
@Data
public class QueryOfsStockinOrderRequestVO {




    /** 开始时间 */
    private String created_start;
    /** 结束时间 */
    private String created_end;

    private String closedAt_start;
    private String closedAt_end;


    /** 收货时间 */
    private String receivedAt_start;
    private String receivedAt_end;

    /** 组织 */
    private String clientCode;
    /** 入库单号 */
    private String code;
    /** 状态 500待同步 510已同步 700收货中 900入库完成 911作废 100订单池 200暂挂 400待合单 410待出库单出库 */
    private String status;
    /** 入库单类型 SALES销售 EXCHANGE换货 REISSUE补发RETURN销退 PURCHASE采购 PURCHASE_RETURN采退 TRANSFER调拨 WORK_ORDER加工 OTHER其他 ADJUST调整 EXCHANGE换货 */
    private String internalInstructionType;
    /** 原订单类型 */
    private String refOrderType;
    /** 关联订单号 */
    private String refOrderCode;
    /** 货主 */
    private String companyCode;
    /** 库存地点 */
    private String facilityCode;
    /** 分页页数 */
    private Long pageNo;
    /** 每页条数 1-500,默认50 */
    private Long pageSize;

}
