package com.hzya.frame.report.lets.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.hzya.frame.web.entity.BaseEntity;
import lombok.Data;

/**
 * 售后订单表_仅退款_子表(OnlyAfterSalesB)实体类
 *
 * @author makejava
 * @since 2024-09-23 10:43:46
 */
@Data
public class OnlyAfterSalesBDto {

    @ExcelProperty(value = "O售后订单主键")
    private String hid;

    @ExcelProperty(value = "O售后订单明细行id")
    private String ofsid;
    /**
     * 退货单号
     */
    @ExcelProperty(value = "O售后订单号")
    private String returnordercode;
    /**
     * SKU编码
     */
    @ExcelProperty(value = "O货品编码")
    private String skucode;
    /**
     * SKU名称
     */
    @ExcelProperty(value = "O货品名称")
    private String skuname;
    /**
     * 货主编码
     */
    @ExcelProperty(value = "O货主编码")
    private String companycode;
    /**
     * 店铺
     */
    @ExcelProperty(value = "O店铺编码")
    private String storecode;
    /**
     * 请求数量
     */
    @ExcelProperty(value = "O请求数量")
    private String requestqty;
    /**
     * 实际退货数量
     */
    @ExcelProperty(value = "O实退数量")
    private String fulfillqty;
    /**
     * 退货金额
     */
    @ExcelProperty(value = "O退货金额")
    private String totalamount;

    //业务类型
    @ExcelProperty(value = "O业务类型")
    private String businessType;

    //业务日期-退货完成时间或交易成功时间
    @ExcelProperty(value = "O业务日期")
    private String transactionDate;

    //推送时间
    @ExcelProperty(value = "O推送时间")
    private String newPushDate;

    //报错详情
    @ExcelProperty(value = "O报错详情")
    private String newTransmitInfo;

    //推送状态
    @ExcelProperty(value = "O推送状态")
    private String newState;

    //下游单号
    @ExcelProperty(value = "O下游单号")
    private String newsystemnumber;

    //下游主键
    @ExcelProperty(value = "O下游主键")
    private String newsystemprimary;

    @ExcelProperty(value = "O计算应收")
    private String def1;

    @ExcelProperty(value = "O计算公式")
    private String def2;

    @ExcelProperty(value = "O平台优惠")
    private String def3;

    @ExcelProperty(value = "O支付优惠")
    private String def4;

    @ExcelProperty(value = "O达人优惠")
    private String def5;

    @ExcelProperty(value = "O商家优惠")
    private String def6;
}

