package com.hzya.frame.report.lets.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

/**
 * TOB销售Excel报表导出
 *
 * @Author：liuyang
 * @Package：com.hzya.frame.report.lets.dto
 * @Project：kangarooDataCenterV3
 * @name：TocofsSaleoutDetailedDto
 * @Date：2024/10/30 14:59
 * @Filename：TocofsSaleoutDetailedDto
 */
@Data
public class TobofsSaleoutDetailedDto {

    @ExcelProperty(value = "O出库明细主键")
    private String id;

    @ExcelProperty(value = "O货主编码")
    private String headCompanyCode;

    @ExcelProperty(value = "O仓库编码")
    private String headFacilityCode;

    @ExcelProperty(value = "O平台编码")
    private String headSourcePlatformCode;

    @ExcelProperty(value = "O店铺编码")
    private String headStoreCode;

    @ExcelProperty(value = "O销售出库编码")
    private String headCode;

    @ExcelProperty(value = "O货品sku")
    private String skucode;

    @ExcelProperty(value = "O货品名称")
    private String skuname;

    @ExcelProperty(value = "O实发数量")
    private String shipqty;

    @ExcelProperty(value = "O中台业务类型")
    private String businesstype;

    //库存 开始
    @ExcelProperty(value = "库存-O出库完成时间")
    private String businessDate;

    @ExcelProperty(value = "库存-推送状态")
    private String newstate;

    @ExcelProperty(value = "库存-推送时间")
    private String newpushdate;

    @ExcelProperty(value = "库存-报错详情")
    private String newtransmitinfo;

    @ExcelProperty(value = "库存-U8C单号")
    private String newsystemnumber;

    @ExcelProperty(value = "库存-U8C主键")
    private String newsystemprimary;
    //库存 结束

    //TOB交易红 开始
//    @ExcelProperty(value = "交易-O交易成功时间")
//    private String successfulTradeDate;

    @ExcelProperty(value = "交易-O交易成功时间")
    private String tradeSuccessAt;

    @ExcelProperty(value = "交易-推送状态")
    private String newstate4;

    @ExcelProperty(value = "交易-推送时间")
    private String def5;

    @ExcelProperty(value = "交易-报错详情")
    private String def6;

    @ExcelProperty(value = "交易-U8C单号")
    private String newsystemnumber4;

    @ExcelProperty(value = "交易-U8C主键")
    private String newsystemprimary4;
    //TOB交易红 结束

    //应收 开始
    @ExcelProperty(value = "计算应收")
    private String def7;

    @ExcelProperty(value = "计算公式")
    private String def8;
    //应收 结束
}