package com.hzya.frame.report.lets.dao.impl;

import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.report.lets.dao.ITocofsSaleoutDetailedDao;
import com.hzya.frame.report.lets.dto.TobofsSaleoutDetailedDto;
import com.hzya.frame.report.lets.dto.TocofsSaleoutDetailedDto;
import com.hzya.frame.report.lets.entity.TocofsSaleoutDetailedEntity;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * O出库单明细表(TOC、TOB业务底表)(TocofsSaleoutDetailed)表数据库访问层
 *
 * @author makejava
 * @since 2024-09-04 17:48:28
 */
@Repository(value = "tocofsSaleoutDetailedDaoImplReport")
public class TocofsSaleoutDetailedDaoImpl extends MybatisGenericDao<TocofsSaleoutDetailedEntity, String> implements ITocofsSaleoutDetailedDao {
    @Override
    public List<TocofsSaleoutDetailedDto> queryEntityListBaseToc(TocofsSaleoutDetailedEntity tocofsSaleoutDetailedEntity) throws Exception {
        return (List<TocofsSaleoutDetailedDto>) selectList("com.hzya.frame.report.lets.dao.impl.TocofsSaleoutDetailedDaoImpl.entity_list_base_toc", tocofsSaleoutDetailedEntity);
    }

    @Override
    public List<TobofsSaleoutDetailedDto> queryEntityListBaseTob(TocofsSaleoutDetailedEntity tocofsSaleoutDetailedEntity) throws Exception {
        return (List<TobofsSaleoutDetailedDto>) selectList("com.hzya.frame.report.lets.dao.impl.TocofsSaleoutDetailedDaoImpl.entity_list_base_tob", tocofsSaleoutDetailedEntity);
    }
}